Ad InsertionUpdate Ad Break Schedule

Update Ad Break Schedule

Custom Plan Updates an existing ad break slot. type is immutable and cannot be changed after creation.

curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "maxDurationS": 24,
  "offset": 300
}'
{
  "statusCode": 200,
  "id": 18,
  "tenantId": 103,
  "name": "5-103-push-5611-adinsertion",
  "hash": "3d27526ed69afdff653283e6148f3477",
  "type": "ad-insertion",
  "url": "https://adinsertion.5centscdn.com/3d27526ed69afdff653283e6148f3477/",
  "state": "enabled",
  "creationDate": "2026-07-30T11:20:21.000Z",
  "updateDate": "2026-09-23T04:44:44.000Z",
  "source": {
    "id": 33,
    "tenantId": 103,
    "type": "asset-catalog",
    "name": "5-103-push-5611-assetcatalog",
    "url": "https://fm-sg-ovh01.cdnized.com/",
    "format": "HLS",
    "origin": {
      "customHeaders": [
        {
          "name": "X-Api-Key",
          "value": "Bearer abc123"
        }
      ]
    }
  },
  "enableAdTranscoding": true,
  "transcodingProfile": {
    "id": 2287,
    "name": "3B-L2-30fps-128kbps-44.1kHz"
  },
  "serverSideAdTracking": {
    "enable": false,
    "checkAdMediaSegmentAvailability": false
  },
  "vodAdBreakPolicy": {
    "adServer": {
      "id": 36
    },
    "spliceMode": "segment",
    "preRoll": {
      "maxDurationS": 30,
      "minAdLengthS": 10
    },
    "midRolls": [
      {
        "offsetS": 300,
        "maxDurationS": 30
      }
    ]
  },
  "insertionMode": "ssai",
  "result": "success"
}
POST
/zones/vod/push/{zoneid}/adinsertion/schedule/{scheduleid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
scheduleidinteger
Required

ID of the ad break schedule slot.

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42
scheduleidinteger
Required

ID of the ad break schedule slot.

Example:
501

Body

application/json
datastring
Required

Same fields as Add Ad Break Schedule, minus _METHOD and type (type is immutable after creation).

Responses

statusCodeinteger
idinteger
tenantIdinteger
namestring
hashstring
typestring
urlstring
statestring
creationDatestring
updateDatestring
sourceobject
enableAdTranscodingboolean
transcodingProfileobject
serverSideAdTrackingobject
vodAdBreakPolicyobject
insertionModestring
resultstring
Allowed values:successerror